---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.0.13/23"],"mac_address":"7a:be:ac:81:00:0e","gateway_ips":["10.129.0.1"],"ip_address":"10.129.0.13/23","gateway_ip":"10.129.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.13"
          ],
          "mac": "7a:be:ac:81:00:0e",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.0.13"
          ],
          "mac": "7a:be:ac:81:00:0e",
          "default": true,
          "dns": {}
      }]
  creationTimestamp: "2020-05-26T14:20:54Z"
  labels:
    app: installer
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:app: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"0b1dab86-487f-44d9-894c-92594a1d5112"}:
            .: {}
            f:apiVersion: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"installer"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:limits:
                .: {}
                f:cpu: {}
                f:memory: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
              f:runAsUser: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/kubernetes/"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeName: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext:
          .: {}
          f:runAsUser: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"kubelet-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: cluster-kube-controller-manager-operator
    operation: Update
    time: "2020-05-26T14:20:54Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T14:20:54Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2020-05-26T14:20:56Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:reason: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.129.0.13"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T14:21:02Z"
  name: installer-5-ip-10-0-162-213.ec2.internal
  namespace: openshift-kube-controller-manager
  ownerReferences:
  - apiVersion: v1
    kind: ConfigMap
    name: revision-status-5
    uid: 0b1dab86-487f-44d9-894c-92594a1d5112
  resourceVersion: "7958"
  selfLink: /api/v1/namespaces/openshift-kube-controller-manager/pods/installer-5-ip-10-0-162-213.ec2.internal
  uid: 91acb13f-d1c3-4d1b-a4ab-e149d26761cf
spec:
  containers:
  - args:
    - -v=2
    - --revision=5
    - --namespace=openshift-kube-controller-manager
    - --pod=kube-controller-manager-pod
    - --resource-dir=/etc/kubernetes/static-pod-resources
    - --pod-manifest-dir=/etc/kubernetes/manifests
    - --configmaps=kube-controller-manager-pod
    - --configmaps=config
    - --configmaps=cluster-policy-controller-config
    - --configmaps=controller-manager-kubeconfig
    - --optional-configmaps=cloud-config
    - --configmaps=kube-controller-cert-syncer-kubeconfig
    - --configmaps=serviceaccount-ca
    - --configmaps=service-ca
    - --secrets=service-account-private-key
    - --optional-secrets=serving-cert
    - --secrets=localhost-recovery-client-token
    - --cert-dir=/etc/kubernetes/static-pod-resources/kube-controller-manager-certs
    - --cert-configmaps=aggregator-client-ca
    - --cert-configmaps=client-ca
    - --optional-cert-configmaps=trusted-ca-bundle
    - --cert-secrets=kube-controller-manager-client-cert-key
    - --cert-secrets=csr-signer
    command:
    - cluster-kube-controller-manager-operator
    - installer
    env:
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9f008c7ff3d155484d18a2ab063aab52a600c85e88d7955a125e591d756d1507
    imagePullPolicy: IfNotPresent
    name: installer
    resources:
      limits:
        cpu: 150m
        memory: 100M
      requests:
        cpu: 150m
        memory: 100M
    securityContext:
      privileged: true
      runAsUser: 0
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /etc/kubernetes/
      name: kubelet-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: installer-sa-token-6c6cz
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: ip-10-0-162-213.ec2.internal
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Never
  schedulerName: default-scheduler
  securityContext:
    runAsUser: 0
  serviceAccount: installer-sa
  serviceAccountName: installer-sa
  terminationGracePeriodSeconds: 30
  tolerations:
  - operator: Exists
  volumes:
  - hostPath:
      path: /etc/kubernetes/
      type: ""
    name: kubelet-dir
  - name: installer-sa-token-6c6cz
    secret:
      defaultMode: 420
      secretName: installer-sa-token-6c6cz
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:20:54Z"
    reason: PodCompleted
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:21:02Z"
    reason: PodCompleted
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:21:02Z"
    reason: PodCompleted
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:20:54Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://b9aa1506cb774745bfd6ebeba32c2f4999f6a7558d82437410f8c82e83369f4b
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9f008c7ff3d155484d18a2ab063aab52a600c85e88d7955a125e591d756d1507
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9f008c7ff3d155484d18a2ab063aab52a600c85e88d7955a125e591d756d1507
    lastState: {}
    name: installer
    ready: false
    restartCount: 0
    started: false
    state:
      terminated:
        containerID: cri-o://b9aa1506cb774745bfd6ebeba32c2f4999f6a7558d82437410f8c82e83369f4b
        exitCode: 0
        finishedAt: "2020-05-26T14:21:01Z"
        reason: Completed
        startedAt: "2020-05-26T14:20:59Z"
  hostIP: 10.0.162.213
  phase: Succeeded
  podIP: 10.129.0.13
  podIPs:
  - ip: 10.129.0.13
  qosClass: Guaranteed
  startTime: "2020-05-26T14:20:54Z"
